%define upstream_name	firebirdsql

Name:		python-firebirdsql
Version:	1.2.1
Release:	%mkrel 4
Summary:	Python bindings for Firebird RDBMS
Group:		Development/Python
License:	BSD
URL:		https://github.com/nakagami/pyfirebirdsql/
Source0:	https://pypi.io/packages/source/f/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python3-devel

%description
A set of Firebird RDBMS bindings for Python.
It works on Python 2.5+ and use the Firebird network protocol.


%package -n python3-%{upstream_name}
Summary:	Python 3 bindings for Firebird RDBMS
Group:		Development/Python
%{?python_provide:%python_provide python3-%{upstream_name}}


%description -n python3-%{upstream_name}
Set of Firebird RDBMS bindings for Python.
It works on Python 3+ and use the Firebird network protocol.


%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files firebirdsql
sed -i '/#!\/usr\/bin\/env python/d' %{buildroot}%{python3_sitelib}/firebirdsql/*.py


%files -n python3-%{upstream_name} -f %{pyproject_files}


%changelog
* Mon Mar 03 2025 wally <wally> 1.2.1-4.mga10
+ Revision: 2159721
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 1.2.1-3.mga10
+ Revision: 2017433
- rebuild for python 3.12

* Sat Apr 02 2022 umeabot <umeabot> 1.2.1-2.mga9
+ Revision: 1840804
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.2.1-1.mga9
+ Revision: 1784921
- version 1.2.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.1.2-4.mga9
+ Revision: 1732838
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.1.2-3.mga8
+ Revision: 1533100
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.1.2-2.mga8
+ Revision: 1443374
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.1.2-1.mga7
+ Revision: 1352760
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1288895
- Mageia 7 Mass Rebuild

* Wed Aug 09 2017 philippem <philippem> 1.0.0-1.mga7
+ Revision: 1139244
- update to 1.0.0

* Sat Aug 05 2017 pterjan <pterjan> 0.9.12-3.mga7
+ Revision: 1135424
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 04 2015 philippem <philippem> 0.9.12-1.mga6
+ Revision: 908105
- update to 0.9.12

* Sat Oct 10 2015 tv <tv> 0.9.11-2.mga6
+ Revision: 888773
- rebuild for python 3.5

* Sun Aug 30 2015 philippem <philippem> 0.9.11-1.mga6
+ Revision: 871230
- update to 0.9.11

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-4.mga5
+ Revision: 745224
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.4-3.mga5
+ Revision: 728500
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-2.mga5
+ Revision: 688031
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 philippem <philippem> 0.9.4-1.mga5
+ Revision: 671464
- update to 0.9.4

* Sat May 31 2014 pterjan <pterjan> 0.9.3-2.mga5
+ Revision: 628640
- Rebuild for new Python

* Wed Apr 16 2014 philippem <philippem> 0.9.3-1.mga5
+ Revision: 615247
- update to 0.9.3

* Fri Mar 07 2014 philippem <philippem> 0.9.2-1.mga5
+ Revision: 600884
- Update do 0.9.2

* Tue Oct 22 2013 umeabot <umeabot> 0.7.3-3.mga4
+ Revision: 543414
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.3-2.mga4
+ Revision: 498601
- Rebuild to add different pythonegg provides for python 2 and 3
+ philippem <philippem>
- remove no need fdupes

* Tue Jul 30 2013 philippem <philippem> 0.7.3-1.mga4
+ Revision: 461295
- Update to 0.7.3

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 378837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 philippem <philippem> 0.7.2-1.mga3
+ Revision: 337356
- Update to new upstream 0.7.2

* Sat Sep 29 2012 fwang <fwang> 0.7.0-2.mga3
+ Revision: 300383
- rebuild for py3.3

* Sat Sep 29 2012 philippem <philippem> 0.7.0-1.mga3
+ Revision: 300245
- new version 0.7.0

* Wed Jan 11 2012 philippem <philippem> 0.6.5-1.mga2
+ Revision: 194984
- Update to 0.6.5.

* Thu Nov 03 2011 philippem <philippem> 0.6.2-1.mga2
+ Revision: 162047
- Update to 0.6.2.

* Thu Oct 27 2011 philippem <philippem> 0.6.0-1.mga2
+ Revision: 158761
- new upstream 0.6.0

* Mon Jun 20 2011 philippem <philippem> 0.4.2-1.mga2
+ Revision: 110515
- new upstream
- disable start transaction after commit or rollback

* Tue Apr 05 2011 philippem <philippem> 0.3.4-1.mga1
+ Revision: 80834
- new upstream

* Sat Apr 02 2011 philippem <philippem> 0.3.3-1.mga1
+ Revision: 79731
- imported package python-firebirdsql

